clc
clear all
close all

F=1.2;                              % Feed flow rate
zF=0.5;                             % Feed composition
qF=1.0;                             % Feed liquid fraction
pV=0.012;                            % Steam price
pF=1;                               % Feed price
pB=1;                               % Bottom product price
pD=2;                               % Top product price

Par=[F zF qF pF pV pD pB]';

%Number of decision variables
NV=82+4;                                     

Vmax=4.008;
Xdmin=0.95;
Xbmax=0.01;

lb=zeros(NV,1);
ub=ones(NV,1);

ub(1)=Xbmax;
lb(41)=Xdmin;
ub(84)=Vmax;

% lb(84)=ub(84);

ub(85)=F;
ub(86)=F;
ub(83)=Vmax; %Vmax-Lmax>0

x0=ones(NV,1)*0.5;

results=[];

tic
options = optimset('TolFun',10e-6,'TolCon',10e-14,'MaxFunEvals',1e4,...
    'Display','none','Algorithm','interior-point','Diagnostics','off'...
    );

[x,fval,exitflag]=fmincon(@(X)ObjFun(X,Par),x0,...
     [],[],[],[],lb,ub,@(X)nonlcon(X,Par),options);
 [exitflag F pV fval x(1) x(41) x(83) x(84) x(85) x(86)]
toc

disp('exitflag, F, pV, fval, xB, xD, L, V, D, B')